ASGComprehensionMiniCon
Keywords: uk.ac.bbk.dcs.automed.qproc.iql.ASGComprehensionMiniCon class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.iql
Class ASGComprehensionMiniCon

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.iql.ASG
          uk.ac.bbk.dcs.automed.qproc.iql.ASGComprehension
              uk.ac.bbk.dcs.automed.qproc.iql.ASGComprehensionMiniCon

All Implemented Interfaces:
  java.io.Serializable, PersistentObject

    public class ASGComprehensionMiniCon

extends ASGComprehension

See Also:
  Serialized Form

Field Summary

Fields inherited from class uk.ac.bbk.dcs.automed.qproc.iql.ASGComprehension
`generators, head, predicates, qualifiers, schemes`

Fields inherited from class uk.ac.bbk.dcs.automed.qproc.iql.ASG
`logger, root`

Method Summary
`java.util.List` | `getHeadVariables()`
`static java.lang.Object` | `getInstance(Cell c)`
`static java.lang.Object` | `getInstance(java.io.File f)`
`static java.lang.Object` | `getInstance(java.lang.String s)`
`java.util.LinkedList` | `getQueryFunctions()`
`java.util.LinkedList` | `getQuerySubGoals()`
`java.util.Map` | `getQueryVariables()`
`protected void` | `getSchemes(Cell c, java.util.LinkedList schemes)`
`static void` | `main(java.lang.String[] args)`
`static void` | `replaceFunctions(ASG g, QueryVariable var, java.util.List newFuncs)` Replace query functions which are mapped to a specific `QueryVariable` with a new set of functions.

Methods inherited from class uk.ac.bbk.dcs.automed.qproc.iql.ASGComprehension
`getBodyVars, getGenerators, getHead, getHeadVars, getPredicates, getQualifiers, getSchemes, getVarMap`

Methods inherited from class uk.ac.bbk.dcs.automed.qproc.iql.ASG
`annotate, copyOfASG, emptyBag, emptyCollection, emptyList, emptySet, equals, explore, explore, finalize, formattedString, formattedString, formattedString, fromASG, fromASG, fromASGCollection, fromASGCollection, fromASGList, fromASGList, fromASGTuple, fromASGTuple, getCollectionSize, getColType, getCreated, getDestroyed, getKey, getPersistentAttributes, isDAG, isDAG, listOfSchemes, listOfSchemes, print, print, print, print, println, println, root, toASGCollection, toASGList, toASGTuple, toString, toStringOBID, unify`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static java.lang.Object getInstance(java.lang.String s)
                                        throws ParseException

  Throws:
    `ParseException`

### getInstance

    public static java.lang.Object getInstance(Cell c)

### getInstance

    public static java.lang.Object getInstance(java.io.File f)
                                        throws java.io.FileNotFoundException

  Throws:
    `java.io.FileNotFoundException`

### getSchemes

    protected void getSchemes(Cell c,
                              java.util.LinkedList schemes)

  Overrides:
    `getSchemes` in class `ASGComprehension`

### getQueryFunctions

    public java.util.LinkedList getQueryFunctions()

### getQuerySubGoals

    public java.util.LinkedList getQuerySubGoals()

### getHeadVariables

    public java.util.List getHeadVariables()

### getQueryVariables

    public java.util.Map getQueryVariables()
                                    throws QProcException

  Throws:
    `QProcException`

### replaceFunctions

    public static void replaceFunctions(ASG g,
                                        QueryVariable var,
                                        java.util.List newFuncs)

  Replace query functions which are mapped to a specific `QueryVariable` with a new set of functions.

  Parameters:
    `g` - an `ASG` query. The original query will be modified by this method
    `var` - `QueryVariable` a query variable
    `newFuncs` - `List` a list of `QueryFunction`s

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD